image: brospars/pandoc-gitlab-ci:latest
pages:
  stage: deploy
  script:
  - mkdir -p public
  - touch public/index.html
  - for file in $(find * -name "*.md" | sort -z); do
        pandoc -s -f markdown -t html -o ${file%.*}.html $file && echo "Exported ${file%.*}.html" && echo "<li><a href='${file%.*}.html'>${file%.*}.html</a></li>" >> public/index.html || echo "ERROR $file";
        sed -i 's|https://gitlab.inria.fr/learninglab/|https://learninglab.gitlabpages.inria.fr/|g' ${file%.*}.html;
        sed -i "s|<body>|<body>The <a href='https://gitlab.inria.fr/learninglab/mooc-scikit-learn/mooc-scikit-learn-resources/blob/master/$file'>original version of this document is available on gitlab</a>.|g" ${file%.*}.html;
        sed -i "s|\-\-\-</p>|<hr/>|g" ${file%.*}.html;
        sed -i "s|<p>TITLE:\(.*\)<br|<b>TITLE:\1</b><br|g" ${file%.*}.html;
        sed -i "s|Date\(.*\)<br|<i>Date\1</i><br|g" ${file%.*}.html;
        sed -i "s|<img src=\"\(\S*\)\"|<img src=\"https://learninglab.gitlabpages.inria.fr/mooc-scikit-learn/mooc-scikit-learn-resources/$(dirname $file)/\1\"|g" ${file%.*}.html;
        mkdir --parents "public/$(dirname $file)";
        cp -r "$(dirname $file)/Images" "public/$(dirname $file)";
        mv ${file%.*}.html public/${file%.*}.html;
    done
  artifacts:
    paths:
    - public
  only:
  - master
